## NAME

db.in.ogr - Imports attribute tables in various formats.

## KEYWORDS

database, attribute table

## SYNOPSIS

db.in.ogr
db.in.ogr help
db.in.ogr dsn=name [db_table=name] [output=string] [key=string] [--verbose] [--quiet]

### Parameters:

dsn=name
  Table file to be imported or DB connection string
db_table=name
  Table name of SQL DB table
output=string
  Name for output table
key=string
  Name for auto-generated unique key column

## DESCRIPTION

db.in.ogr imports attribute tables in various formats as supported by the OGR driver on the local system (DBF, CSV, PostgreSQL, SQLite, MySQL, ODBC, etc.). Optionally a unique key (ID) column can be added to the table.

## NOTES

## EXAMPLES

Import of a CSV table file:
Limited type recognition can be done for Integer, Real, String, Date, Time and DateTime columns through a descriptive file with same name as the CSV file, but .csvt extension (see details here).

    # NOTE: create koeppen_gridcode.csvt first for type recognition
    db.in.ogr dsn=koeppen_gridcode.csv output=koeppen_gridcode
    db.select koeppen_gridcode

Import of a DBF table with additional unique key column (e.g., needed for v.in.db):

    db.in.ogr dsn=$HOME/mydata.dbf output=census_raleigh key=myid
    db.describe -c census_raleigh

Import of a SQLite table:

    db.in.ogr dsn=$HOME/sqlite/sqlite.db db_table=census_raleigh output=census_raleigh

Import of a PostgreSQL table:

    db.in.ogr dsn="PG:host=localhost dbname=ecad user=neteler" \
              db_table=ecad_verona_tmean output=ecad_verona_tmean
    db.select ecad_verona_tmean
    db.describe -c ecad_verona_tmean

## SEE ALSO

v.in.ogr
GRASS SQL interface

## AUTHOR

Markus Neteler

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - database index - Full index

© 2003-2014 GRASS Development Team